petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMNetworkGetConnectedNodes

Return the connected edges for this edge point

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetConnectedNodes(DM dm,PetscInt edge,const PetscInt *vertices[])

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the edge point

### Output Paramters

vertices -vertices connected to this edge

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMNetworkCreate, DMNetworkGetSupportingEdges

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages